'use strict';
const path = require('path');

module.exports = function (codesmith) {
    codesmith.setGenerator('commitlint', {
        description: 'create commitlint for commit 🚧💩',
        questions: [

        ],
        actions: [
            `you are running a commitlint generator`,
            {
                type: 'shell',
                command: 'yarn add -D @commitlint/{config-conventional,cli}'
            },
            {
                type: 'shell',
                command: `echo "module.exports = {extends: ['@commitlint/config-conventional']}" > commitlint.config.js`
            },
            {
                type: 'shell',
                command: `yarn add -D husky`
            },
            {
                type: 'js/modify-package',
                path: 'scripts.commitmsg',
                replacer: 'commitlint -e $GIT_PARAMS'
            },
        ]
    });
};
